Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.trolltech.qt.core
Class Qt.DateFormat

    java.lang.Object
      java.lang.Enum
          com.trolltech.qt.core.Qt.DateFormat

All Implemented Interfaces:
  QtEnumerator, java.io.Serializable, java.lang.Comparable

Enclosing interface:
  Qt

    public static final class Qt.DateFormat

extends java.lang.Enum
implements QtEnumerator

Note. For `ISODate` formats, each `Y`, `M` and `D` represents a single digit of the year, month and day used to specify the date. Each `H`, `M` and `S` represents a single digit of the hour, minute and second used to specify the time. The presence of a literal `T` character is used to separate the date and time when both are specified.

See Also:
  Serialized Form

Field Summary
`static Qt.DateFormat` | `DefaultLocaleLongDate` The `long format` used by the application's locale.
`static Qt.DateFormat` | `DefaultLocaleShortDate` The `short format` specified by the application's locale.
`static Qt.DateFormat` | `ISODate` ISO 8601 extended format.
`static Qt.DateFormat` | `LocaleDate` This enum value is deprecated.
`static Qt.DateFormat` | `SystemLocaleDate` This enum value is deprecated.
`static Qt.DateFormat` | `SystemLocaleLongDate` The `long format` used by the operating system.
`static Qt.DateFormat` | `SystemLocaleShortDate` The `short format` used by the operating system.
`static Qt.DateFormat` | `TextDate` The default Qt format.

Method Summary
`static Qt.DateFormat` | `resolve(int value)` Returns the DateFormat constant with the specified `int`.
`int` | `value()` This function should return an integer value for the enum values of the enumeration that implements this interface.
`static Qt.DateFormat` | `valueOf(java.lang.String name)`
`static Qt.DateFormat[]` | `values()`

Methods inherited from class java.lang.Enum
`clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

Methods inherited from class java.lang.Object
`getClass, notify, notifyAll, wait, wait, wait`

Field Detail

### TextDate

    public static final Qt.DateFormat TextDate

  The default Qt format. The day and month names will be localized names. See QDate::toString() for more information.

### ISODate

    public static final Qt.DateFormat ISODate

  ISO 8601 extended format. either `YYYY-MM-DD` for dates or `YYYY-MM-DDTHH:MM:SS` for combined dates and times.

### SystemLocaleDate

    public static final Qt.DateFormat SystemLocaleDate

  This enum value is deprecated. Use `Qt::SystemLocaleShortDate` instead (or `Qt::SystemLocaleLongDate` if you want long dates).

### LocaleDate

    public static final Qt.DateFormat LocaleDate

  This enum value is deprecated. Use `Qt::DefaultLocaleShortDate` instead (or `Qt::DefaultLocaleLongDate` if you want long dates).

### SystemLocaleShortDate

    public static final Qt.DateFormat SystemLocaleShortDate

  The `short format` used by the operating system.

### SystemLocaleLongDate

    public static final Qt.DateFormat SystemLocaleLongDate

  The `long format` used by the operating system.

### DefaultLocaleShortDate

    public static final Qt.DateFormat DefaultLocaleShortDate

  The `short format` specified by the application's locale.

### DefaultLocaleLongDate

    public static final Qt.DateFormat DefaultLocaleLongDate

  The `long format` used by the application's locale.

Method Detail

### values

    public static Qt.DateFormat[] values()

### valueOf

    public static Qt.DateFormat valueOf(java.lang.String name)

### value

    public int value()

  This function should return an integer value for the enum values of the enumeration that implements this interface.

  Specified by:
    `value` in interface `QtEnumerator`

### resolve

    public static Qt.DateFormat resolve(int value)

  Returns the DateFormat constant with the specified `int`.

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD